PROGRAM_NAME='PIONEER, DVD-V7400 (JOYSTICK), RS-232, BASIC, 2-00, RDW'
(*   DATE:02/28/00    TIME:10:51:07    *)
(***********************************************************)
(* The following code block is provided as a guide to      *)
(* programming the device(s) listed above. This is a       *)
(* sample only, and will most likely require modification  *)
(* to be integrated into a master program.                 *)
(*                                                         *)
(* Device-specific protocols should be obtained directly   *)
(* from the equipment manufacturer to ensure compliance    *)
(* with the most current versions. Within the limits       *)
(* imposed by any non-disclosure agreements, AMX will      *)
(* provide protocols upon request.                         *)
(*                                                         *)
(* If further programming assistance is required, please   *)
(* contact your AMX customer support team.                 *)
(*                                                         *)
(***********************************************************)
(* GENERAL FUNCTION LIST -                                 *)
(*   1.) USES A VIDEO JOYSTICK TO MAKE THE TOUCH PANEL     *)
(*       ACT AS A VIDEO TOUCH MONITOR FOR THE DVD PLAYER.  *)
(*   2.) MOMENTARY FUNCTIONS ARE NOT POSSIBLE AS PROTOCOL  *)
(*       IS A PUSH-RELEASE COMMAND.  THE PROTCOL DOES NOT  *)
(*       ALLOW FOR SEPERATE PUSH AND RELEASE MOUSE COMMANDS*)
(***********************************************************)
(*          DEVICE NUMBER DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_DEVICE

DVD           = 1                  (* AXC-232: PIONEER DVD-V7400 9600 8N1 *)
TP            = 128                (* AXT-CG10 PANEL *)

(***********************************************************)
(*               CONSTANT DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_CONSTANT

(* TUNEBASE *)
DVD_JOYSTICK     = 255             (* FUNCTION FOR JOYSTICK PUSH *)

(***********************************************************)
(*               VARIABLE DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_VARIABLE

(* JOYSTICK *)
TP_JOYST_1X                        (* LEVELS FOR OUR JOYSTICKS *)
TP_JOYST_1Y

(***********************************************************)
(*               LATCHING DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_LATCHING

(***********************************************************)
(*       MUTUALLY EXCLUSIVE DEFINITIONS GO BELOW           *)
(***********************************************************)
DEFINE_MUTUALLY_EXCLUSIVE

(***********************************************************)
(*           SUBROUTINE DEFINITIONS GO BELOW               *)
(***********************************************************)

(**************************************)
(* CALL NAME: DVD FUNCTION            *)
(* FUNCTION:  EXECUTE DVD FUNC        *)
(**************************************)
DEFINE_CALL 'DVD FUNCTION' (FUNC,X,Y)
LOCAL_VAR
X_VALUE                            (* VALUE OF X JOYSTICK *)
Y_VALUE                            (* VALUE OF Y JOYSTICK *)
{
  IF (FUNC = DVD_JOYSTICK)
  {
    X_VALUE = (X*640)/255
    Y_VALUE = (Y*420)/255
    SEND_STRING DVD,"ITOA(X_VALUE/100),ITOA((X_VALUE%100)/10),ITOA(X_VALUE%10),
                     ITOA(Y_VALUE/100),ITOA((Y_VALUE%100)/10),ITOA(Y_VALUE%10),'ET',13"
  }
}

(***********************************************************)
(*                STARTUP CODE GOES BELOW                  *)
(***********************************************************)
DEFINE_START

(* PANEL *)
CREATE_LEVEL TP,1,TP_JOYST_1X      (* LEVELS FOR OUR JOYSTICKS *)
CREATE_LEVEL TP,2,TP_JOYST_1Y

(***********************************************************)
(*            THE ACTUAL PROGRAM GOES BELOW                *)
(***********************************************************)
DEFINE_PROGRAM

(* TUNEBASE *)
RELEASE[TP,1]                  (* JOYSTICK *)
  CALL 'DVD FUNCTION' (DVD_JOYSTICK,TP_JOYST_1X,TP_JOYST_1Y)

(***********************************************************)
(*                     END OF PROGRAM                      *)
(*        DO NOT PUT ANY CODE BELOW THIS COMMENT           *)
(***********************************************************)
